Уважаемые пользователи!
Напоминаем, что с 7 ноября 2020 года phpBB Group прекратила выпуск обновлений для phpBB версии 3.2.
С учетом этого, рекомендуется обновить конференции до версии 3.3.
Сайт официальной русской поддержки phpBB Guru продолжит поддержку phpBB 3.2 до отдельного объявления.

[3.3] Несовместимые расширения

Проблемы с установкой или работой phpBB 3.3.x? Получите помощь здесь!
Правила форума
Местная Конституция | Шаблон запроса | Документация (phpBB3) | Мини [FAQ] по phpBB 3.1.x/3.2.x | FAQ | Как задавать вопросы | Как устанавливать расширения

Ваш вопрос может быть удален без объяснения причин, если на него есть ответы по приведённым ссылкам (а вы рискуете получить предупреждение ;) ).
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15725
Стаж: 16 лет 3 месяца
Откуда: Красноярск
Благодарил (а): 437 раз
Поблагодарили: 1506 раз

[3.3] Несовместимые расширения

Сообщение rxu »

Каталог несовместимых с phpBB 3.3 на настоящий момент расширений.Тестировалось в связке phpBB 3.3 / PHP 7.4.
Принимаются добавления в список (с описанием того, что не работает).
Изображение
Перенесено из форума Анонсы и поддержка расширений для phpBB в форум Поддержка phpBB 3.3.x 12.01.2020 10:47 модератором rxu

Аватара пользователя
Webliberty
phpBB 2.0.5
Сообщения: 468
Стаж: 10 лет 7 месяцев
Благодарил (а): 134 раза
Поблагодарили: 63 раза

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение Webliberty »

TrekRed писал(а): 25.01.2020 15:46 Наконец-то обновился 3.3 и перешел на php 7.3, все работает кроме 3 расширений: Contact Admin, Profile side switcher и слайдера картинок. Подскажите решение данных расширений. Все изменения внесены!
Вы пишете, что все изменения внесены (я думаю речь про кавычки) и при этом не работает.
TrekRed писал(а): 25.01.2020 19:27 Все указанные выше проблемы решил, все работает.
Что же тогда еще исправляли? Может другим форумчанам эта информация тоже пригодится...
Мой форум на phpBB 3.3.8 (начинал с phpBB 3.0.9)
Подпись заверена нотариусом :P
TrekRed
phpBB 2.0.5
Сообщения: 477
Стаж: 4 года
Благодарил (а): 68 раз
Поблагодарили: 16 раз

Re: Вышел phpBB 3.3.0 [обсуждаем]

Сообщение TrekRed »

1. Правки для лайтбокса: по пути: ext/vse/lightbox/styles/all/template/js/resizer.js

Код: Выделить всё

$(this).load();
заменить на

Код: Выделить всё

$(this).trigger('load');
2. Для Contact Admin по пути: ext\rmcgirr83\contactadmin в файле ext.php заменить данные на

Код: Выделить всё

<?php
/**
*
* Contact admin extension for the phpBB Forum Software package.
*
* @copyright 2016 Rich McGirr (RMcGirr83)
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace rmcgirr83\contactadmin;

/**
* Extension class for custom enable/disable/purge actions
*/
class ext extends \phpbb\extension\base
{
	/**
	 * Enable extension if phpBB version requirement is met
	 *
	 * @return bool
	 * @access public
	 */
	public function is_enableable()
	{
		$config = $this->container->get('config');
		// only allow install between 3.1.3 for events added and 3.4 due to 3.4 removing upload function from includes/functions_posting per 3.2
		// phpBB only supports 3.2 and so will I
		return phpbb_version_compare($config['version'], '3.2', '>=');
	}
}
3. Для Profile side switcher скачать версию отсюда, правок не требуется: https://github.com/Tatiana5/profile_side_switcher

Отправлено спустя 1 минуту 42 секунды:
Осталось разобраться с конкурсом, не работает, ошибка: "Looks like you try to load a template outside configured directories (../theme/activeuser.css) in "activeuser_body.html" at line 1.
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15725
Стаж: 16 лет 3 месяца
Откуда: Красноярск
Благодарил (а): 437 раз
Поблагодарили: 1506 раз

Re: [3.3] Несовместимые расширения

Сообщение rxu »

TrekRed писал(а): 25.01.2020 23:04 Осталось разобраться с конкурсом
rxu писал(а): 25.01.2020 20:20 Как только догадаемся, что это и где его искать, так сразу начнем разбираться.
Вижу, намеков не понимаете. Что за расширение, ссылка на него есть?
Изображение
TrekRed
phpBB 2.0.5
Сообщения: 477
Стаж: 4 года
Благодарил (а): 68 раз
Поблагодарили: 16 раз

Re: [3.3] Несовместимые расширения

Сообщение TrekRed »

Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15725
Стаж: 16 лет 3 месяца
Откуда: Красноярск
Благодарил (а): 437 раз
Поблагодарили: 1506 раз

Re: [3.3] Несовместимые расширения

Сообщение rxu »

TrekRed писал(а): 25.01.2020 23:04 (../theme/activeuser.css) in "activeuser_body.html" at line 1.
Попробуйте в файле activeuser/styles/prosilver/template/activeuser_body.html заменить первую строку на

Код: Выделить всё

{% INCLUDECSS '@saturnZ_activeuser/activeuser.css' %}
Очистить кэш.
Изображение
TrekRed
phpBB 2.0.5
Сообщения: 477
Стаж: 4 года
Благодарил (а): 68 раз
Поблагодарили: 16 раз

Re: [3.3] Несовместимые расширения

Сообщение TrekRed »

rxu, вы просто волшебник, все заработало, спасибо! Теперь все расширения работают на 3.3!

Отправлено спустя 2 минуты 20 секунд:
Единственное, расширение Upload Extension определяет версию, но не может обновить ни одно расширение, но, это видимо в новой версии поправят!
Аватара пользователя
rxu
phpBB Guru
phpBB Guru
Сообщения: 15725
Стаж: 16 лет 3 месяца
Откуда: Красноярск
Благодарил (а): 437 раз
Поблагодарили: 1506 раз

Re: [3.3] Несовместимые расширения

Сообщение rxu »

TrekRed писал(а): 26.01.2020 14:44 расширение Upload Extension
В первом посте данной темы есть ссылка на исправление.
Изображение
TrekRed
phpBB 2.0.5
Сообщения: 477
Стаж: 4 года
Благодарил (а): 68 раз
Поблагодарили: 16 раз

Re: [3.3] Несовместимые расширения

Сообщение TrekRed »

Contact Admin работает, но при отправке письма ошибка: Вы не можете использовать форму обратной связи из-за ошибок в конфигурации скрипта. Сообщение об ошибке отправлено администратору. Кто сталкивался?

Отправлено спустя 2 минуты 18 секунд:
Ошибка в консоли браузера такая: Failed to load resource: the server responded with a status of 503 ()

Отправлено спустя 4 минуты 5 секунд:
Может что-то с favicon связано.

Отправлено спустя 33 секунды:
PHPBB 3.3 PHP 7.3

Отправлено спустя 14 минут 58 секунд:
Пишет в файле app.php - contactadmin
Аватара пользователя
ronim
phpBB 2.0.9
Сообщения: 731
Стаж: 4 года 7 месяцев
Откуда: Таллин ,Эстония
Благодарил (а): 143 раза
Поблагодарили: 120 раз

Re: [3.3] Несовместимые расширения

Сообщение ronim »

TrekRed
только что проверил у себя на боевом , письма приходят , ошибок нет
PHPBB 3.3 PHP 7.3.13
Если ты не видишь проблем на форуме , но это не значить что их там нет
TrekRed
phpBB 2.0.5
Сообщения: 477
Стаж: 4 года
Благодарил (а): 68 раз
Поблагодарили: 16 раз

Re: [3.3] Несовместимые расширения

Сообщение TrekRed »

ronim, откуда качал и правки какие вносил?

Отправлено спустя 56 секунд:
Ошибка в конфигурации скрипта

Отправлено спустя 6 минут 3 секунды:
Скинь рабочую версию с правками, если не тяжело! Вверху правки я писал, расширение заработало вроде, но при отправке ошибка скрипта, странно!

Отправлено спустя 7 минут 46 секунд:
Может не в расширении дело? У меня стояла старая версия favicon, правки не вносил, ничего не конвертировал, не может это влиять на данную ошибку? Просто favicon работает и ошибок нет!

Отправлено спустя 1 час 18 минут 37 секунд:
Проблема была примитивной и решилась включением функции через настройки "Контакты только основателю"!
Аватара пользователя
klub_sp
phpBB 1.4.2
Сообщения: 56
Стаж: 9 лет 4 месяца
Поблагодарили: 1 раз

Re: [3.3] Несовместимые расширения

Сообщение klub_sp »

Я так понял проблема совместимости решается одной командой в текстовом редакторе :D
Аватара пользователя
SigmaTel71
phpBB 1.4.0
Сообщения: 32
Стаж: 3 года 11 месяцев
Откуда: Тула, Россия
Благодарил (а): 7 раз
Поблагодарили: 1 раз

Re: [3.3] Несовместимые расширения

Сообщение SigmaTel71 »

После переезда с phpBB 3.2.7 на 3.3.0 перестали работать расширения Quick Style, XML Sitemap и SEO Meta Description
Вышеперечисленные плагины дают сбой при попытке их включить (начинает ругаться компилятор расширений и в итоге отключаются ВСЕ расширения).

UPD: плагин meta-тегов от bb3mobi можно заменить на аналогичный от AlfredoRamos
плагин для sitemap от tas2580 можно заменить на аналогичный от CrazyC0d3r
Hello, Moto! :D
MasterX
phpBB 1.4.2
Сообщения: 50
Стаж: 2 года 5 месяцев
Благодарил (а): 9 раз
Поблагодарили: 4 раза

Re: [3.3] Несовместимые расширения

Сообщение MasterX »

SigmaTel71 писал(а): 13.04.2020 22:38 плагин для sitemap от tas2580 можно заменить на аналогичный от CrazyC0d3r
от него чето валидность страницы нарушается... :(
при включении отображения в футере.
Аватара пользователя
SigmaTel71
phpBB 1.4.0
Сообщения: 32
Стаж: 3 года 11 месяцев
Откуда: Тула, Россия
Благодарил (а): 7 раз
Поблагодарили: 1 раз

Re: [3.3] Несовместимые расширения

Сообщение SigmaTel71 »

MasterX писал(а): 21.04.2020 17:08 от него чето валидность страницы нарушается...
Странно, у меня такой проблемы не возникло. Кто (что) именно ругаться начинает?
Hello, Moto! :D
MasterX
phpBB 1.4.2
Сообщения: 50
Стаж: 2 года 5 месяцев
Благодарил (а): 9 раз
Поблагодарили: 4 раза

Re: [3.3] Несовместимые расширения

Сообщение MasterX »

да этот, W3 валидатор. Хотя блок вроде не кривой.. Там 3 строчки.

Вернуться в «Поддержка phpBB 3.3.x»